<?php

namespace App\Filament\Resources\DeliveryCalendarOverrides\Pages;

use App\Filament\Resources\DeliveryCalendarOverrides\DeliveryCalendarOverrideResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Resources\Pages\EditRecord;

class EditDeliveryCalendarOverride extends EditRecord
{
    protected static string $resource = DeliveryCalendarOverrideResource::class;

    protected function getHeaderActions(): array
    {
        return [
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
